Subject: bug#13206: 24.3.50; FR: insert-char must(?) show characters visually in completion buffer

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 Dec 2012 09:34:26 -0500

> It will be wonderful if ucs-insert shows the characters visually in the
> completion buffer.

> Here is a proof-of-concept.  Install an annotation function. 

>     (setq completion-extra-properties
>           (list :annotation-function 'annotate-ucs-names))

>     (defun annotate-ucs-names (name)
>       (format "(%s)" (char-to-string (cdr (assoc-string name (ucs-names) t)))))

I'd be happy to install such a patch, yes.  Please send it along.

> M-x insert-char RET will give screenshot 1.  Note the presence of
> characters visually next to char names.  I would have wised to place the
> the glyphs come before the description.

Indeed, placing them before would make sense.

> Now let us install a small /hack/ to minibuffer as shown below. The
> result is as shown in screenshot 2, which I would much prefer.
> (Ofcourse, the insertion itself wouldn't work)

Indeed, this version has various problems.  E.g. as a user, I'd often
have trouble figuring out which chars goes with which name.

I agree that the annotation mechanism would deserve improvement.

        Stefan